SonarQube software (previously called Sonar) is an open source quality
management platform, dedicated to continuously analyze and measure
technical quality, from project portfolio to method.

To create the MariaDB SonarQube database run:

CREATE DATABASE sonar CHARACTER SET utf8 COLLATE utf8_general_ci;
CREATE USER 'sonar' IDENTIFIED BY 'sonar';
GRANT ALL ON sonar.* TO 'sonar'@'%' IDENTIFIED BY 'sonar';
GRANT ALL ON sonar.* TO 'sonar'@'localhost' IDENTIFIED BY 'sonar';
FLUSH PRIVILEGES;

Then start the service
  /etc/rc.d/rc.sonarqube start

Then point your browser to
  http://localhost:9000/sonarqube/

Then login as:
  user: admin
  password: admin

This requires a "sonar" user and group.
    groupadd -g 287 sonar
    useradd -g 287 -u 287 -r -c 'SonarQube user' \
            -s /bin/bash -d /usr/share/sonarqube sonar
